Bug 2217566 - CVE-2023-29404 golang: go command may execute arbitrary code at build time when using cgo [epel-all]
Summary: CVE-2023-29404 golang: go command may execute arbitrary code at build time wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: golang
Version: epel8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Dave Dykstra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-29404
TreeView+ depends on / blocked
 
Reported: 2023-06-26 17:54 UTC by Pedro Sampaio
Modified: 2023-07-08 00:34 UTC (History)
9 users (show)

Fixed In Version: golang-1.19.10-1.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-08 00:34:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2023-06-26 17:54:37 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2217565

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Pedro Sampaio 2023-06-26 17:54:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=urgent

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2217565,2217566

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-06-29 21:56:02 UTC
FEDORA-EPEL-2023-560bc00f33 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-560bc00f33

Comment 3 Fedora Update System 2023-06-30 01:45:16 UTC
FEDORA-EPEL-2023-560bc00f33 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-560bc00f33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-07-08 00:34:02 UTC
FEDORA-EPEL-2023-560bc00f33 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.